Subject: [MIB-DOCTORS] RE: MIB Doctor review: SYNTAX checks: draft-ietf-ipsp-iosecaction-mib-02.txt

From: "Wijnen, Bert \(Bert\)" <[email-masked]>
Date: Wed, 3 Jan 2007 14:32:29 +0100

SMICng (tools) tell me:

   C:\bwijnen\smicng\work>smicng IPSEC-IPSECACTION-MIB.inc
   W: f(IPSEC-IPSECACTION-MIB.mi2), (1330,20) Item "ipsaCredSegValue"
      should have SIZE specified 

Is there any usefull size range that we could specify here?
If so I would strongly suggest to do so.

SMILINT tools:

  C:\smi\mibs\work>smilint -l 6 -s -m ./IPSEC-IPSECACTION-MIB
  ./IPSEC-IPSECACTION-MIB:38: [4] {module-identity-registration}
    warning: uncontrolled MODULE-IDENTITY registration

This one warns that you are registering the MIB under a 
branch that is not well controlled. You are doing:
 
        ::= { spdActions 2 }
 
I see in IPSEC-SPD-MIB that you have defined
    spdActions                OBJECT IDENTIFIER
         ::= { spdMIB 4 }
 
And that in its IANA considerations (rev 7 ID) you state:
    8.  IANA Considerations
 
    Only two IANA considerations exist for this document.  The first is
    just the node number allocation of the IPSEC-SPD-MIB itself.
 
    The IPSEC-SPD-MIB also allows for extension action MIB's.  Although
    additional actions are not required to use it, the node spdActions
is
    allocated as a subtree under which IANA can define any additional
    actions.  IANA would be responsible for allocating any values under
    this node.  The only restriction is that additional nodes appended
to
    spdACtions should be in reference to IPSEC-SPD-MIB actions.
 
So you don't even seem to ask that a spec is published for allocation?
I am somewhat surprised by this (and probably should have 
seen this earlier). The spdActions ultimately are under mib-2 
which is standards track space. Oh well.

In any event, you do state that IANA assigns new values. So 
in your IPSEC-IKEACTION-MIB I would have expected:
 
        ::= { spdActions nnn } -- to be assigned by IANA. We suggest to
                               -- assign the value 2.

More review comments later.
Bert

_______________________________________________
MIB-DOCTORS mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mib-doctors